Bug 14774 - Aperture range error cause savage driver to crash
Aperture range error cause savage driver to crash
Status: RESOLVED FIXED
Product: xorg
Classification: Unclassified
Component: Driver/savage
git
x86 (IA32) Linux (All)
: high blocker
Assigned To: Xorg Project Team
Xorg Project Team
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-02 04:55 UTC by Joachim Frieben
Modified: 2008-08-10 13:35 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joachim Frieben 2008-03-02 04:55:50 UTC
For a current Fedora "rawhide" system, X crashes on start-up complaining about an aperture range error when the savage driver is used. The distribution related bug report is:

  https://bugzilla.redhat.com/show_bug.cgi?id=426994

The tail of Xorg.0.log with debugging information is:
-------------------------------------------------------------------------------
(EE) SAVAGE(0): Internal error: cound not map aperture range (7, Argument list too long).

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb7fa2710 (LWP 3763)]
0x0030bd9e in SavageDisableMMIO (pScrn=0x9170860) at savage_driver.c:4348
4348		VGAOUT8(vgaCRIndex, 0x40);
(gdb) Undefined command: "module".  Try "help".
(gdb) #0  0x0030bd9e in SavageDisableMMIO (pScrn=0x9170860) at savage_driver.c:4348
#1  0x0030d51a in SavageUnmapMem (pScrn=0x9170860, All=1)
    at savage_driver.c:3229
#2  0x0030d65f in SavageFreeRec (pScrn=0x9170860) at savage_driver.c:822
#3  0x0030ed7e in SavagePreInit (pScrn=0x83d4, flags=<value optimized out>)
    at savage_driver.c:2314
#4  0x080a1fd9 in InitOutput (pScreenInfo=0x82180a0, argc=4, argv=0xbfb43414)
    at xf86Init.c:765
#5  0x0806ccd6 in main (argc=4, argv=0xbfb43414, envp=0xbfb43428) at main.c:369
(gdb) Continuing.

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x79) [0x80c6399]
1: [0x110420]
2: /usr/lib/xorg/modules/drivers//savage_drv.so [0x30bd9e]
3: /usr/lib/xorg/modules/drivers//savage_drv.so [0x30d51a]
4: /usr/lib/xorg/modules/drivers//savage_drv.so [0x30d65f]
5: /usr/lib/xorg/modules/drivers//savage_drv.so [0x30ed7e]
6: /usr/bin/Xorg(InitOutput+0x979) [0x80a1fd9]
7: /usr/bin/Xorg(main+0x286) [0x806ccd6]
8: /lib/libc.so.6(__libc_start_main+0xe0) [0x42c4a0]
9: /usr/bin/Xorg(FontFileCompleteXLFD+0x24d) [0x806c1d1]

Fatal server error:
Caught signal 11.  Server aborting
-------------------------------------------------------------------------------
This used to work up to Xorg 7.3. The crash occurs even for the latest git version.
Comment 1 Joachim Frieben 2008-03-21 02:57:10 UTC
No improvement for current Fedora "rawhide" development tree:
xorg-x11-drv-savage-2.2.0-1.fc9 [new upstream version!]
xorg-x11-server-Xorg-1.4.99.901-10.20080314.fc9
Comment 2 multinymous 2008-04-10 14:09:49 UTC
Same problem here with recent savage, also on a ThinkPad T23. It used to work with Fedora 8's Xorg 1.3.0 + savage 2.1.3.

The crash still occurs in a reduced setup using:

Section "Module"
	Disable "dri"
EndSection

Section "Device"
	Identifier  "Videocard0"
	Driver      "savage"
	Option "NoAnccel" "on"
	Option "AGPSize" "4"
	Option "DRI" "off"
	Option "DmaMode" "None"
EndSection
Comment 3 Joachim Frieben 2008-04-21 15:25:34 UTC
For a current Fedora "rawhide" system, X ist still broken on IBM ThinkPad T23. Installed packages include: xorg-x11-server-Xorg-1.4.99.901-22.20080415.fc9, xorg-x11-drv-savage-2.2.0-1.fc9, and kernel-2.6.25-1.fc9.
Comment 4 Joachim Frieben 2008-05-05 10:25:29 UTC
Severity is set to "blocker" but the bug itself has not been added to the Xorg 7.4 blocker bug 10101.
Comment 5 Dave Airlie 2008-05-11 18:05:43 UTC
this should be fixed in the latest savage git tree please test.
Comment 6 Joachim Frieben 2008-05-28 16:09:58 UTC
The fix applied in https://bugzilla.redhat.com/show_bug.cgi?id=426994 solves the issue for me [build: xorg-x11-drv-savage-2.2.0-2.fc9].